
QGIS Application - Bug report #4394

make clean fails to clean grass files

2011-10-16 08:39 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14326

Description

Building GRASS support in QGIS is driving me nuts.

Part of the problem was "make clean" failing to clean built GRASS support:

$ make clean

$ find . -type f | xargs grep 'Revision: 37101'

Binary file ./output/lib/qgis/plugins/libqgisgrass.so.1.8.0 matches

Binary file ./output/lib/qgis/grass/modules/qgis.d.rast matches

Binary file ./output/lib/qgis/grass/modules/qgis.g.info matches

Binary file ./src/providers/grass/CMakeFiles/qgis.d.rast.dir/qgis.d.rast.c.o matches

Binary file ./src/providers/grass/CMakeFiles/qgis.g.info.dir/qgis.g.info.c.o matches

Binary file ./src/providers/grass/CMakeFiles/qgisgrass.dir/qgsgrass.cpp.o matches

All those binary objects won't be rebuilt so would still embed the GRASS version installed at time of previous build.

History

#1 - 2011-10-16 08:41 AM - Sandro Santilli

For the record, there's more that fails to be cleaned:

$ make clean

$ find . -name '*.o' | wc -l

137

#2 - 2011-10-16 09:08 AM - Sandro Santilli

- Resolution set to invalid

I must have had a dirty source tree, after git-cleaning it make clean seems to leave no dangling objects in build dir.

#3 - 2011-10-16 09:09 AM - Sandro Santilli

except find output -type f:

output/bin/source_path.txt

output/python/qgis/__init__.py
output/python/qgis/utils.py

output/python/qgis/console.py

output/python/pyspatialite/lib/__init__.py

output/python/pyspatialite/lib/dbapi2.py

output/python/pyspatialite/lib/dump.py

... which should likely not be there.

#4 - 2011-12-09 08:57 AM - Paolo Cavallini

- Resolution deleted (invalid)

#5 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#7 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2013-05-30 01:19 AM - Sandro Santilli

- Resolution set to fixed

- Status changed from Open to Closed

find . -name '*.o' # returns nothing as of current commit:58266c145ce6ec2338187cacab2fc2ae948a896d
